Difference between revisions of "Firefly Freelink"

From NAS-Central Buffalo - The Linkstation Wiki
Jump to: navigation, search
(changed /tmp to /usr/src)
m (Installation)
Line 31: Line 31:
 
  --sysconfdir=/etc  
 
  --sysconfdir=/etc  
  
Make and install it
+
Make and install it (if you are not su or root, you will have to add sudo to make install only)
 
  make
 
  make
 
  make install
 
  make install

Revision as of 06:12, 8 November 2007

Ff logo sm.gif


Contents

Requirements

  1. Lots of good music
  2. Something to play lots of your good music on - Like a Roku Soundbridge
  3. Or iTunes on your pc

Installation

apt-get install libid3tag0 libid3tag0-dev
apt-get install sqlite libsqlite0 libsqlite0-dev
apt-get install g++ build-essential

Be careful where you build, as you want to make sure you have room for the compilation. /tmp is too small for building.

cd /usr/src

Download Firefly mediaserver You will need to check out [the nightlies] and change the address below to the latest version

wget http://nightlies.mt-daapd.org/dl.php?FILE=mt-daapd-svn-1696.tar.gz

Untar and enter folder (replace with whatever latest version is)

tar -zxvf mt-daapd-svn-1696.tar.gz && cd mt-daapd-svn-1696


Configure it with the following (all one line)

./configure --prefix=/usr/local --enable-browse --enable-query --enable-mdns --with-id3tag=/usr/local --enable-sqlite 
--sysconfdir=/etc 

Make and install it (if you are not su or root, you will have to add sudo to make install only)

make
make install
mkdir /etc/mt-daapd
cp contrib/mt-daapd.* /etc/mt-daapd/
cd /etc/mt-daapd
nano mt-daapd.conf

Should only need to change where to look for your music files

Starting at boot

I've nicked the start script from andre's mt-daapd ppc package (if you don't mind andre)

nano /etc/init.d/firefly

and add all this

#! /bin/sh
set -e

# /etc/init.d/firefly: start and stop the DAAP daemon

DAEMON=/usr/local/sbin/mt-daapd
DAAPD_OPTS=""
DAAPD_CONFIG_FILE=/etc/mt-daapd/mt-daapd.conf

test -x $DAEMON || exit 0 

case "$1" in
 start)
   if ! grep -q /usr/local/lib /etc/ld.so.conf; then
     echo /usr/local/lib >> /etc/ld.so.conf
     ldconfig
   fi

   echo -n "Starting DAAP daemon: firefly"
   if pidof $DAEMON >/dev/null 2>&1; then
     echo " apparently already running."
   exit 0
   fi
   if [ ! -s "$DAAPD_CONFIG_FILE" ]; then
     echo " missing or empty config file $DAAPD_CONFIG_FILE"
     exit 1
   fi
   start-stop-daemon --start --quiet --background \
     --exec $DAEMON -- -c "$DAAPD_CONFIG_FILE" $DAAPD_OPTS
   echo "."
   ;;
 stop)
   echo -n "Stopping DAAP daemon: firefly"
   killall $DAEMON >/dev/null 2>&1
   echo "."
   ;;

 restart)
   set +e
   echo -n "Restarting DAAP daemon: firefly"
   killall $DAEMON >/dev/null 2>&1
   sleep 2
   if ! start-stop-daemon --start --quiet --background \
     --exec $DAEMON -- -c "$DAAPD_CONFIG_FILE" $DAAPD_OPTS
   then
     echo "start failed?"
   fi
   echo "."
   ;;

 *)
   echo "Usage: /etc/init.d/firefly {start|stop|restart}"
   exit 1
esac

exit 0

Then add the links

cd /etc/rc2.d && ln -s /etc/init.d/firefly S20firefly
cd /etc/rc6.d && ln -s /etc/init.d/firefly K20firefly
cd /etc/rc0.d && ln -s /etc/init.d/firefly K20firefly

Think it needs one of these

chmod a+x /etc/init.d/firefly

Run it

Should be able to start it up now

/usr/local/sbin/mt-daapd

or better still use the start/stop script

/etc/init.d/firefly start

This errors because it looks for mt-daapd.conf in /usr/local/etc/mt-daapd.conf ??

I've just linked to it

mkdir /usr/local/etc
ln -s /etc/mt-daapd/mt-daapd.conf  /usr/local/etc/mt-daapd.conf

Try it now

/etc/init.d/firefly start

Issue top and you should see mt-daapd at the top of the list -

top

Once that dissapears (it has finished checking your music library) you should be able to see it via the web interface

http://<LINKSTATION-IP>:3689

You can put whatever you like as user but the passwd is mt-daapd

That should show you something like this

Firefly.JPG

Run over to your Roku Soundbridge and check if its working - then fire up iTunes on your pc and see all your files


Bauldrick 09:13, 21 December 2006 (EST)